| Home | Libraries | People | FAQ | More

## Function template iter_find

boost::algorithm::iter_find — Iter find algorithm.

## Synopsis

    // In header: <boost/algorithm/string/iter_find.hpp>

    template<typename SequenceSequenceT, typename RangeT, typename FinderT>
      SequenceSequenceT &
      iter_find(SequenceSequenceT & Result, RangeT & Input, FinderT Finder);

## Description

This algorithm executes a given finder in iteration on the input, until the end of input is reached, or no match is found. Iteration is done using built-in find_iterator, so the real searching is performed only when needed. In each iteration new match is found and added to the result.

Parameters: |
`Finder` | A Finder object used for searching
`Input` | A container which will be searched.
`Result` | A 'container container' to contain the result of search. Both outer and inner container must have constructor taking a pair of iterators as an argument. Typical type of the result is `std::vector<boost::iterator_range<iterator>>` (each element of such a vector will container a range delimiting a match).
Returns: | A reference the result
Notes: | Prior content of the result will be overwritten.